#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Green
#property indicator_color2 Red

extern int SilaTrenda = 14;
double g_ibuf_80[];
double g_ibuf_84[];
string gsa_88[256];

// E37F0136AA3FFAF149B351F6A4C948E9
int init() {
   for (int index_0 = 0; index_0 < 256; index_0++) gsa_88[index_0] = CharToStr(index_0);
   SetIndexBuffer(0, g_ibuf_80);
   SetIndexStyle(0, DRAW_HISTOGRAM, STYLE_SOLID, 2);
   SetIndexBuffer(1, g_ibuf_84);
   SetIndexStyle(1, DRAW_HISTOGRAM, STYLE_SOLID, 2);
   IndicatorShortName("SilaTrenda (" + SilaTrenda + ")");
   return (0);
}

// EA2B2676C28C0DB26D39331A336C6B92
int start() {
   double iadx_8;
   double iadx_16;
   double iadx_24;
   int li_32 = IndicatorCounted();
   if (li_32 < 0) return (-1);
   if (li_32 > 0) li_32--;
   int li_4 = Bars - li_32;
   for (int li_0 = 0; li_0 < li_4; li_0++) {
      iadx_8 = iADX(NULL, 0, SilaTrenda, PRICE_CLOSE, MODE_MAIN, li_0);
      iadx_16 = iADX(NULL, 0, SilaTrenda, PRICE_CLOSE, MODE_PLUSDI, li_0);
      iadx_24 = iADX(NULL, 0, SilaTrenda, PRICE_CLOSE, MODE_MINUSDI, li_0);
      if (iadx_16 >= iadx_24) {
         g_ibuf_80[li_0] = iadx_8;
         g_ibuf_84[li_0] = 0;
      } else {
         g_ibuf_80[li_0] = 0;
         g_ibuf_84[li_0] = iadx_8;
      }
   }
   return (0);
}